View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001348aMuleMessagespublic2008-07-01 21:552008-07-11 11:30
ReporterXi0N 
Assigned ToGonoszTopi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.2.1 
Target VersionFixed in Version 
Summary0001348: Weird colored transfer bars
DescriptionToday the bars look strange in the SVN (July 1st 2008)
Attached a screen capture

Additional InformationHere I attach the backtrace generated while viewing this strange bars... (dont know if it will help at all)

(gdb) run --amule-config-file=/home/bigboss/.aMule/amule.conf

Starting program: /usr/bin/amuleweb --amule-config-file=/home/bigboss/.aMule/amule.conf

[Thread debugging using libthread_db enabled]

[New Thread 0xb79a6a00 (LWP 4542)]

[New Thread 0xb7578b90 (LWP 4547)]

[New Thread 0xb6d78b90 (LWP 4548)]

[New Thread 0xb6578b90 (LWP 4549)]

[New Thread 0xb5d78b90 (LWP 4550)]

[New Thread 0xb5578b90 (LWP 4551)]

[New Thread 0xb4d78b90 (LWP 4552)]

[New Thread 0xb4578b90 (LWP 4553)]

[New Thread 0xb3d78b90 (LWP 4554)]

../../../src/UPnP.cpp(855): bound to 192.168.1.100:50001.

../../../src/UPnP.cpp(1227): UPNP_DISCOVERY_SEARCH_TIMEOUT.

../../../src/UPnP.cpp(926): Critical message: UPnP Error: CUPnPControlPoint::Add PortMapping: Wan Service not detected.

../../../src/UPnP.cpp(1184): UPNP_DISCOVERY_SEARCH_RESULT: Retrieving device description from http://192.168.1.1:2800/InternetGatewayDevice.xml. [^]

../../../src/UPnP.cpp(1212): Critical message: Internet Gateway Device Detected.

../../../src/UPnP.h(193):

    deviceList: 0 devices.

../../../src/UPnP.cpp(524):

    Service:

        serviceType: urn:schemas-upnp-org:service:WANDSLLinkConfig:1

        serviceId: urn:upnp-org:serviceId:WANDSLLinkC1

        SCPDURL: WANDSLLinkConfig.xml

        absSCPDURL: http://192.168.1.1:2800/WANDSLLinkConfig.xml [^]

        controlURL: /EmWeb/UPnP/Control/3

        absControlURL: http://192.168.1.1:2800/EmWeb/UPnP/Control/3 [^]

        eventSubURL: /EmWeb/UPnP/Eventing/3

        absEventSubURL: http://192.168.1.1:2800/EmWeb/UPnP/Eventing/3 [^]

../../../src/UPnP.cpp(555): Critical message: Uninteresting service detected: 'u rn:schemas-upnp-org:service:WANDSLLinkConfig:1'. Ignoring.

../../../src/UPnP.cpp(524):

    Service:

        serviceType: urn:schemas-upnp-org:service:WANPPPConnection:1

        serviceId: urn:upnp-org:serviceId:WANPPPConn1

        SCPDURL: WANPPPConnection.xml

        absSCPDURL: http://192.168.1.1:2800/WANPPPConnection.xml [^]

        controlURL: /EmWeb/UPnP/Control/4

        absControlURL: http://192.168.1.1:2800/EmWeb/UPnP/Control/4 [^]

        eventSubURL: /EmWeb/UPnP/Eventing/4

        absEventSubURL: http://192.168.1.1:2800/EmWeb/UPnP/Eventing/4 [^]

../../../src/UPnP.cpp(538): Critical message: WAN Service Detected: 'urn:schemas-upnp-org:service:WANPPPConnection:1'.

../../../src/UPnP.cpp(1184): UPNP_DISCOVERY_SEARCH_RESULT: Retrieving device description from http://192.168.1.1:2800/InternetGatewayDevice.xml. [^]

../../../src/UPnP.cpp(1212): Critical message: Internet Gateway Device Detected.

../../../src/UPnP.cpp(1510): Critical message: Successfully subscribed to service urn:schemas-upnp-org:service:WANPPPConnection:1, absEventSubURL: http://192.168.1.1:2800/EmWeb/UPnP/Eventing/4. [^]

../../../src/UPnP.cpp(1445): Critical message: UPNP_EVENT_RECEIVED:

    SID: uuid:9fdd2a42-1dd1-11b2-8f94-89a16a3c4440

    Key: 0

    Property list:

        PossibleConnectionTypes='IP_Routed'

        ConnectionStatus='Connected'

        ExternalIPAddress='intentionally.hidden.ip'

        PortMappingNumberOfEntries='9'

../../../src/UPnP.cpp(358):

    Argument:

        name: NewConnectionType

        direction: in

        retval: 0

        relatedStateVariable: ConnectionType

../../../src/UPnP.h(193):

    argumentList: 1 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: SetConnectionType

../../../src/UPnP.cpp(358):

    Argument:

        name: NewConnectionType

        direction: out

        retval: 0

        relatedStateVariable: ConnectionType

../../../src/UPnP.cpp(358):

    Argument:

        name: NewPossibleConnectionTypes

        direction: out

        retval: 0

        relatedStateVariable: PossibleConnectionTypes

../../../src/UPnP.h(193):

    argumentList: 2 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: GetConnectionTypeInfo

../../../src/UPnP.h(193):

    argumentList: 0 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: RequestConnection

../../../src/UPnP.h(193):

    argumentList: 0 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: ForceTermination

../../../src/UPnP.cpp(358):

    Argument:

        name: NewConnectionStatus

        direction: out

        retval: 0

        relatedStateVariable: ConnectionStatus

../../../src/UPnP.cpp(358):

    Argument:

        name: NewLastConnectionError

        direction: out

        retval: 0

        relatedStateVariable: LastConnectionError

../../../src/UPnP.cpp(358):

    Argument:

        name: NewUptime

        direction: out

        retval: 0

        relatedStateVariable: Uptime

../../../src/UPnP.h(193):

    argumentList: 3 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: GetStatusInfo

../../../src/UPnP.cpp(358):

    Argument:

        name: NewUpstreamMaxBitRate

        direction: out

        retval: 0

        relatedStateVariable: UpstreamMaxBitRate

../../../src/UPnP.cpp(358):

    Argument:

        name: NewDownstreamMaxBitRate

        direction: out

        retval: 0

        relatedStateVariable: DownstreamMaxBitRate

../../../src/UPnP.h(193):

    argumentList: 2 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: GetLinkLayerMaxBitRates

../../../src/UPnP.cpp(358):

    Argument:

        name: NewRSIPAvailable

        direction: out

        retval: 0

        relatedStateVariable: RSIPAvailable

../../../src/UPnP.cpp(358):

    Argument:

        name: NewNATEnabled

        direction: out

        retval: 0

        relatedStateVariable: NATEnabled

../../../src/UPnP.h(193):

    argumentList: 2 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: GetNATRSIPStatus

../../../src/UPnP.cpp(358):

    Argument:

        name: NewPortMappingIndex

        direction: in

        retval: 0

        relatedStateVariable: PortMappingNumberOfEntries

../../../src/UPnP.cpp(358):

    Argument:

        name: NewRemoteHost

        direction: out

        retval: 0

        relatedStateVariable: RemoteHost

../../../src/UPnP.cpp(358):

    Argument:

        name: NewExternalPort

        direction: out

        retval: 0

        relatedStateVariable: ExternalPort

../../../src/UPnP.cpp(358):

    Argument:

        name: NewProtocol

        direction: out

        retval: 0

        relatedStateVariable: PortMappingProtocol

../../../src/UPnP.cpp(358):

    Argument:

        name: NewInternalPort

        direction: out

        retval: 0

        relatedStateVariable: InternalPort

../../../src/UPnP.cpp(358):

    Argument:

        name: NewInternalClient

        direction: out

        retval: 0

        relatedStateVariable: InternalClient

../../../src/UPnP.cpp(358):

    Argument:

        name: NewEnabled

        direction: out

        retval: 0

        relatedStateVariable: PortMappingEnabled

../../../src/UPnP.cpp(358):

    Argument:

        name: NewPortMappingDescription

        direction: out

        retval: 0

        relatedStateVariable: PortMappingDescription

../../../src/UPnP.cpp(358):

    Argument:

        name: NewLeaseDuration

        direction: out

        retval: 0

        relatedStateVariable: PortMappingLeaseDuration

../../../src/UPnP.h(193):

    argumentList: 9 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: GetGenericPortMappingEntry

../../../src/UPnP.cpp(358):

    Argument:

        name: NewRemoteHost

        direction: in

        retval: 0

        relatedStateVariable: RemoteHost

../../../src/UPnP.cpp(358):

    Argument:

        name: NewExternalPort

        direction: in

        retval: 0

        relatedStateVariable: ExternalPort

../../../src/UPnP.cpp(358):

    Argument:

        name: NewProtocol

        direction: in

        retval: 0

        relatedStateVariable: PortMappingProtocol

../../../src/UPnP.cpp(358):

    Argument:

        name: NewInternalPort

        direction: out

        retval: 0

        relatedStateVariable: InternalPort

../../../src/UPnP.cpp(358):

    Argument:

        name: NewInternalClient

        direction: out

        retval: 0

        relatedStateVariable: InternalClient

../../../src/UPnP.cpp(358):

    Argument:

        name: NewEnabled

        direction: out

        retval: 0

        relatedStateVariable: PortMappingEnabled

../../../src/UPnP.cpp(358):

    Argument:

        name: NewPortMappingDescription

        direction: out

        retval: 0

        relatedStateVariable: PortMappingDescription

../../../src/UPnP.cpp(358):

    Argument:

        name: NewLeaseDuration

        direction: out

        retval: 0

        relatedStateVariable: PortMappingLeaseDuration

../../../src/UPnP.h(193):

    argumentList: 8 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: GetSpecificPortMappingEntry

../../../src/UPnP.cpp(358):

    Argument:

        name: NewRemoteHost

        direction: in

        retval: 0

        relatedStateVariable: RemoteHost

../../../src/UPnP.cpp(358):

    Argument:

        name: NewExternalPort

        direction: in

        retval: 0

        relatedStateVariable: ExternalPort

../../../src/UPnP.cpp(358):

    Argument:

        name: NewProtocol

        direction: in

        retval: 0

        relatedStateVariable: PortMappingProtocol

../../../src/UPnP.cpp(358):

    Argument:

        name: NewInternalPort

        direction: in

        retval: 0

        relatedStateVariable: InternalPort

../../../src/UPnP.cpp(358):

    Argument:

        name: NewInternalClient

        direction: in

        retval: 0

        relatedStateVariable: InternalClient

../../../src/UPnP.cpp(358):

    Argument:

        name: NewEnabled

        direction: in

        retval: 0

        relatedStateVariable: PortMappingEnabled

../../../src/UPnP.cpp(358):

    Argument:

        name: NewPortMappingDescription

        direction: in

        retval: 0

        relatedStateVariable: PortMappingDescription

../../../src/UPnP.cpp(358):

    Argument:

        name: NewLeaseDuration

        direction: in

        retval: 0

        relatedStateVariable: PortMappingLeaseDuration

../../../src/UPnP.h(193):

    argumentList: 8 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: AddPortMapping

../../../src/UPnP.cpp(358):

    Argument:

        name: NewRemoteHost

        direction: in

        retval: 0

        relatedStateVariable: RemoteHost

../../../src/UPnP.cpp(358):

    Argument:

        name: NewExternalPort

        direction: in

        retval: 0

        relatedStateVariable: ExternalPort

../../../src/UPnP.cpp(358):

    Argument:

        name: NewProtocol

        direction: in

        retval: 0

        relatedStateVariable: PortMappingProtocol

../../../src/UPnP.h(193):

    argumentList: 3 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: DeletePortMapping

../../../src/UPnP.cpp(358):

    Argument:

        name: NewExternalIPAddress

        direction: out

        retval: 0

        relatedStateVariable: ExternalIPAddress

../../../src/UPnP.h(193):

    argumentList: 1 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: GetExternalIPAddress

../../../src/UPnP.cpp(358):

    Argument:

        name: portNo

        direction: out

        retval: 0

        relatedStateVariable: Uptime

../../../src/UPnP.cpp(358):

    Argument:

        name: channelNo

        direction: out

        retval: 0

        relatedStateVariable: Uptime

../../../src/UPnP.cpp(358):

    Argument:

        name: interfaceNo

        direction: out

        retval: 0

        relatedStateVariable: Uptime

../../../src/UPnP.cpp(358):

    Argument:

        name: interfaceType

        direction: out

        retval: 0

        relatedStateVariable: ExternalIPAddress

../../../src/UPnP.cpp(358):

    Argument:

        name: WANServiceInstance

        direction: out

        retval: 0

        relatedStateVariable: ExternalIPAddress

../../../src/UPnP.cpp(358):

    Argument:

        name: LANServiceInstance

        direction: out

        retval: 0

        relatedStateVariable: ExternalIPAddress

../../../src/UPnP.cpp(358):

    Argument:

        name: interfaceObject

        direction: out

        retval: 0

        relatedStateVariable: ExternalIPAddress

../../../src/UPnP.cpp(358):

    Argument:

        name: FWInterfaceObject

        direction: out

        retval: 0

        relatedStateVariable: ExternalIPAddress

../../../src/UPnP.cpp(358):

    Argument:

        name: refCount

        direction: out

        retval: 0

        relatedStateVariable: Uptime

../../../src/UPnP.cpp(358):

    Argument:

        name: interfaceName

        direction: out

        retval: 0

        relatedStateVariable: ExternalIPAddress

../../../src/UPnP.h(193):

    argumentList: 10 arguments.

../../../src/UPnP.cpp(375):

    Action:

        name: X_getInterfaceInfo

../../../src/UPnP.h(193):

    actionList: 13 actions.

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: ConnectionType

        dataType: string

        defaultValue:

        sendEvents: no

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: Unconfigured

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: IP_Routed

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: DHCP_Spoofed

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: PPPoE_Bridged

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: PPTP_Relay

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: L2TP_Relay

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: PPPoE_Relay

../../../src/UPnP.h(193):

    allowedValueList: 7 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: PossibleConnectionTypes

        dataType: string

        defaultValue:

        sendEvents: yes

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: Unconfigured

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: Connecting

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: Authenticating

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: Connected

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: PendingDisconnect

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: Disconnecting

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: Disconnected

../../../src/UPnP.h(193):

    allowedValueList: 7 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: ConnectionStatus

        dataType: string

        defaultValue:

        sendEvents: yes

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: Uptime

        dataType: ui4

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: UpstreamMaxBitRate

        dataType: ui4

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: DownstreamMaxBitRate

        dataType: ui4

        defaultValue:

        sendEvents: no

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_NONE

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_ISP_TIME_OUT

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_COMMAND_ABORTED

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_NOT_ENABLED_FOR_INTERNET

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_BAD_PHONE_NUMBER

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_USER_DISCONNECT

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_ISP_DISCONNECT

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_IDLE_DISCONNECT

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_FORCED_DISCONNECT

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_SERVER_OUT_OF_RESOURCES

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_RESTRICTED_LOGON_HOURS

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_ACCOUNT_DISABLED

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_ACCOUNT_EXPIRED

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_PASSWORD_EXPIRED

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_AUTHENTICATION_FAILURE

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_NO_DIALTONE

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_NO_CARRIER

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_NO_ANSWER

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_LINE_BUSY

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_UNSUPPORTED_BITSPERSECOND

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_TOO_MANY_LINE_ERRORS

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_IP_CONFIGURATION

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: ERROR_UNKNOWN

../../../src/UPnP.h(193):

    allowedValueList: 23 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: LastConnectionError

        dataType: string

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: RSIPAvailable

        dataType: boolean

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: NATEnabled

        dataType: boolean

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: ExternalIPAddress

        dataType: string

        defaultValue:

        sendEvents: yes

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: PortMappingNumberOfEntries

        dataType: ui2

        defaultValue:

        sendEvents: yes

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: PortMappingEnabled

        dataType: boolean

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: PortMappingLeaseDuration

        dataType: ui4

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: RemoteHost

        dataType: string

        defaultValue:

        sendEvents: no

../../../src/[Thread 0xb7578b90 (LWP 4547) exited]

UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: ExternalPort

        dataType: ui2

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: InternalPort

        dataType: ui2

        defaultValue:

        sendEvents: no

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: TCP

../../../src/UPnP.cpp(391):

    AllowedValue:

        allowedValue: UDP

../../../src/UPnP.h(193):

    allowedValueList: 2 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: PortMappingProtocol

        dataType: string

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: InternalClient

        dataType: string

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    allowedValueList: 0 allowedValues.

../../../src/UPnP.cpp(414):

    StateVariable:

        name: PortMappingDescription

        dataType: string

        defaultValue:

        sendEvents: no

../../../src/UPnP.h(193):

    serviceStateTable: 19 stateVariables.

../../../src/UPnP.h(193):

    serviceList: 2 services.

../../../src/UPnP.cpp(793):

    Device:

        friendlyName: Conexant IGD

        deviceType: urn:schemas-upnp-org:device:WANConnectionDevice:1

        manufacturer: Conexant

        manufacturerURL: http://www.conexant.com/ [^]

        modelDescription: Conexant UPnP IGD in ISOS 1.03APF2.7868A-D.79.52.25f 1/December/2005 23:20

        modelName: IGD

        modelNumber: 1.03APF2.7868A-D.79.52.25f 1/December/2005 23:20

        modelURL: http://www.vendor.com/model [^]

        serialNumber: Prototype

        UDN: uuid:655f6a22-f786-8078-3e6d-22b4373d90cb

        UPC: Universal Product Code

        presentationURL: http://192.168.1.1:2800/ [^]

../../../src/UPnP.h(193):

    deviceList: 1 devices.

../../../src/UPnP.cpp(524):

    Service:

        serviceType: urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1

        serviceId: urn:upnp-org:serviceId:WANCommonIFC1

        SCPDURL: WANCommonInterfaceConfig.xml

        absSCPDURL: http://192.168.1.1:2800/WANCommonInterfaceConfig.xml [^]

        controlURL: /EmWeb/UPnP/Control/2

        absControlURL: http://192.168.1.1:2800/EmWeb/UPnP/Control/2 [^]

        eventSubURL: /EmWeb/UPnP/Eventing/2

        absEventSubURL: http://192.168.1.1:2800/EmWeb/UPnP/Eventing/2 [^]

../../../src/UPnP.cpp(555): Critical message: Uninteresting service detected: 'u rn:schemas-upnp-org:service:WANCommonInterfaceConfig:1'. Ignoring.

../../../src/UPnP.h(193):

    serviceList: 1 services.

../../../src/UPnP.cpp(793):

    Device:

        friendlyName: Conexant IGD

        deviceType: urn:schemas-upnp-org:device:WANDevice:1

        manufacturer: Conexant

        manufacturerURL: http://www.conexant.com/ [^]

        modelDescription: Conexant UPnP IGD in ISOS 1.03APF2.7868A-D.79.52.25f 1/December/2005 23:20

        modelName: IGD

        modelNumber: 1.03APF2.7868A-D.79.52.25f 1/December/2005 23:20

        modelURL: http://www.vendor.com/model [^]

        serialNumber: Prototype

        UDN: uuid:4d430ee3-c303-aeac-3d5c-5b7d55eaf508

        UPC: Universal Product Code

        presentationURL: http://192.168.1.1:2800/ [^]

../../../src/UPnP.h(193):

    deviceList: 1 devices.

../../../src/UPnP.cpp(524):

    Service:

        serviceType: urn:schemas-upnp-org:service:Layer3Forwarding:1

        serviceId: urn:upnp-org:serviceId:L3Forwarding1

        SCPDURL: Layer3Forwarding.xml

        absSCPDURL: http://192.168.1.1:2800/Layer3Forwarding.xml [^]

        controlURL: /EmWeb/UPnP/Control/1

        absControlURL: http://192.168.1.1:2800/EmWeb/UPnP/Control/1 [^]

        eventSubURL: /EmWeb/UPnP/Eventing/1

        absEventSubURL: http://192.168.1.1:2800/EmWeb/UPnP/Eventing/1 [^]

../../../src/UPnP.cpp(555): Critical message: Uninteresting service detected: 'u rn:schemas-upnp-org:service:Layer3Forwarding:1'. Ignoring.

../../../src/UPnP.h(193):

    serviceList: 1 services.

../../../src/UPnP.cpp(793):

    Device:

        friendlyName: Conexant IGD

        deviceType: urn:schemas-upnp-org:device:InternetGatewayDevice:1

        manufacturer: Conexant

        manufacturerURL: http://www.conexant.com/ [^]

        modelDescription: Conexant UPnP IGD in ISOS 1.03APF2.7868A-D.79.52.25f 1/December/2005 23:20

        modelName: IGD

        modelNumber: 1.03APF2.7868A-D.79.52.25f 1/December/2005 23:20

        modelURL: http://www.vendor.com/model [^]

        serialNumber: Prototype

        UDN: uuid:ee5f2b88-761e-acb6-3482-fc478e5d016d

        UPC: Universal Product Code

        presentationURL: http://192.168.1.1:2800/index.html [^]

../../../src/UPnP.cpp(819):

    Root Device:

        URLBase: http://192.168.1.1:2800/ [^]

        Fixed URLBase: http://192.168.1.1:2800/ [^]

        location: http://192.168.1.1:2800/InternetGatewayDevice.xml [^]

        expires: 1830

[Thread 0xb3d78b90 (LWP 4554) exited]

array(3) {

        [cmd]=>

        string(7) "connect"

        [ip]=>

        string(10) "4105369421"

        [port]=>

        string(4) "4242"

}



Program received signal SIGINT, Interrupt.

[Switching to Thread 0xb79a6a00 (LWP 4542)]

0xb7a6ae77 in select () from /lib/libc.so.6













bt =======================================================================================================



(gdb) bt

#0 0xb7a6ae77 in select () from /lib/libc.so.6

0000001 0x0808d37c in CWebserverGSocketFuncTable::RunSelect (this=0x8160b30)

    at WebInterface.cpp:220

0000002 0x0808d423 in CamulewebApp::TextShell (this=0x81714c0)

    at WebInterface.cpp:654

0000003 0x08093a41 in CaMuleExternalConnector::ConnectAndRun (this=0x81714c0,

    ProgName=@0xbf9dd940, ProgVersion=@0xbf9dd93c)

    at ../../../src/ExternalConnector.cpp:413

0000004 0x0808c794 in CamulewebApp::OnRun (this=0x81714c0) at WebInterface.cpp:360

0000005 0xb7dba05a in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0

0000006 0xb7dba107 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0

0000007 0x0808c87a in main (argc=4128, argv=0x0) at WebInterface.cpp:333





bt full ==================================================================================================



(gdb) bt full

#0 0xb7a6ae77 in select () from /lib/libc.so.6

No symbol table info available.

0000001 0x0808d37c in CWebserverGSocketFuncTable::RunSelect (this=0x8160b30)

    at WebInterface.cpp:220

        lock = {m_isOk = true, m_mutex = @0x8160b3c}

        max_fd = 12

        tv = {tv_sec = 0, tv_usec = 4000}

        result = -1210586623

0000002 0x0808d423 in CamulewebApp::TextShell (this=0x81714c0)

    at WebInterface.cpp:654

No locals.

0000003 0x08093a41 in CaMuleExternalConnector::ConnectAndRun (this=0x81714c0,

    ProgName=@0xbf9dd940, ProgVersion=@0xbf9dd93c)

    at ../../../src/ExternalConnector.cpp:413

        appName = {<wxStringBase> = {static npos = 4294967295,

    m_pchData = 0x818d2bc}, <No data fields>}

0000004 0x0808c794 in CamulewebApp::OnRun (this=0x81714c0) at WebInterface.cpp:360

No locals.

0000005 0xb7dba05a in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0

No symbol table info available.

0000006 0xb7dba107 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0

No symbol table info available.

0000007 0x0808c87a in main (argc=4128, argv=0x0) at WebInterface.cpp:333

---Type <return> to continue, or q <return> to quit---

No locals.





thread apply all bt =====================================================================================



(gdb) thread apply all bt



Thread 8 (Thread 0xb4578b90 (LWP 4553)):

#0 0xb7ed18a8 in pthread_cond_timedwait@@GLIBC_2.3.2 ()

   from /lib/libpthread.so.0

0000001 0xb7c152c9 in ?? () from /usr/lib/libthreadutil.so.2

0000002 0xb7eccfda in start_thread () from /lib/libpthread.so.0

0000003 0x00000002 in ?? ()

0000004 0x00000000 in ?? ()



Thread 7 (Thread 0xb4d78b90 (LWP 4552)):

#0 0xb7a6ae77 in select () from /lib/libc.so.6

0000001 0xb7c21101 in ?? () from /usr/lib/libupnp.so.3

0000002 0xb7c155a5 in ?? () from /usr/lib/libthreadutil.so.2

0000003 0xb7eccfda in start_thread () from /lib/libpthread.so.0

0000004 0x00000002 in ?? ()

0000005 0x00000000 in ?? ()



Thread 6 (Thread 0xb5578b90 (LWP 4551)):

#0 0xb7ed18a8 in pthread_cond_timedwait@@GLIBC_2.3.2 ()

   from /lib/libpthread.so.0

0000001 0xb7c152c9 in ?? () from /usr/lib/libthreadutil.so.2

0000002 0xb7eccfda in start_thread () from /lib/libpthread.so.0

0000003 0x00000002 in ?? ()

---Type <return> to continue, or q <return> to quit---

0000004 0x00000000 in ?? ()



Thread 5 (Thread 0xb5d78b90 (LWP 4550)):

#0 0xb7a6ae77 in select () from /lib/libc.so.6

0000001 0xb7c230b9 in ?? () from /usr/lib/libupnp.so.3

0000002 0xb7c254b2 in ?? () from /usr/lib/libupnp.so.3

0000003 0xb7c2570a in ?? () from /usr/lib/libupnp.so.3

0000004 0xb7c26893 in ?? () from /usr/lib/libupnp.so.3

0000005 0xb7c2cd4d in UpnpDownloadUrlItem () from /usr/lib/libupnp.so.3

0000006 0xb7c2cdb1 in UpnpDownloadXmlDoc () from /usr/lib/libupnp.so.3

0000007 0x080d445e in CUPnPControlPoint::Callback (

    EventType=UPNP_DISCOVERY_ADVERTISEMENT_ALIVE, Event=0xb5d77d20)

    at ../../../src/UPnP.cpp:1175

0000008 0xb7c1dca8 in ?? () from /usr/lib/libupnp.so.3

0000009 0xb7c1e221 in ?? () from /usr/lib/libupnp.so.3

0000010 0xb7c155a5 in ?? () from /usr/lib/libthreadutil.so.2

#11 0xb7eccfda in start_thread () from /lib/libpthread.so.0

0000012 0x00000002 in ?? ()

0000013 0x00000000 in ?? ()



Thread 4 (Thread 0xb6578b90 (LWP 4549)):

#0 0xb7a6ae77 in select () from /lib/libc.so.6

0000001 0xb7c230b9 in ?? () from /usr/lib/libupnp.so.3

---Type <return> to continue, or q <return> to quit---

0000002 0xb7c254b2 in ?? () from /usr/lib/libupnp.so.3

0000003 0xb7c2570a in ?? () from /usr/lib/libupnp.so.3

0000004 0xb7c26893 in ?? () from /usr/lib/libupnp.so.3

0000005 0xb7c2cd4d in UpnpDownloadUrlItem () from /usr/lib/libupnp.so.3

0000006 0xb7c2cdb1 in UpnpDownloadXmlDoc () from /usr/lib/libupnp.so.3

0000007 0x080d445e in CUPnPControlPoint::Callback (

    EventType=UPNP_DISCOVERY_ADVERTISEMENT_ALIVE, Event=0xb6577d20)

    at ../../../src/UPnP.cpp:1175

0000008 0xb7c1dca8 in ?? () from /usr/lib/libupnp.so.3

0000009 0xb7c1e221 in ?? () from /usr/lib/libupnp.so.3

0000010 0xb7c155a5 in ?? () from /usr/lib/libthreadutil.so.2

#11 0xb7eccfda in start_thread () from /lib/libpthread.so.0

0000012 0x00000002 in ?? ()

0000013 0x00000000 in ?? ()



Thread 3 (Thread 0xb6d78b90 (LWP 4548)):

#0 0xb7ed18a8 in pthread_cond_timedwait@@GLIBC_2.3.2 ()

   from /lib/libpthread.so.0

0000001 0xb7c16275 in ?? () from /usr/lib/libthreadutil.so.2

0000002 0xb7c155a5 in ?? () from /usr/lib/libthreadutil.so.2

0000003 0xb7eccfda in start_thread () from /lib/libpthread.so.0

0000004 0x00000002 in ?? ()

0000005 0x00000000 in ?? ()

---Type <return> to continue, or q <return> to quit---



Thread 1 (Thread 0xb79a6a00 (LWP 4542)):

#0 0xb7a6ae77 in select () from /lib/libc.so.6

0000001 0x0808d37c in CWebserverGSocketFuncTable::RunSelect (this=0x8160b30)

    at WebInterface.cpp:220

0000002 0x0808d423 in CamulewebApp::TextShell (this=0x81714c0)

    at WebInterface.cpp:654

0000003 0x08093a41 in CaMuleExternalConnector::ConnectAndRun (this=0x81714c0,

    ProgName=@0xbf9dd940, ProgVersion=@0xbf9dd93c)

    at ../../../src/ExternalConnector.cpp:413

0000004 0x0808c794 in CamulewebApp::OnRun (this=0x81714c0) at WebInterface.cpp:360

0000005 0xb7dba05a in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0

0000006 0xb7dba107 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0

0000007 0x0808c87a in main (argc=4128, argv=0x0) at WebInterface.cpp:333
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0002847)
Xi0N (reporter)
2008-07-01 22:23

http://forum.amule.org/index.php?topic=15369 [^]

I posted the capture here.
(0002872)
Xi0N (reporter)
2008-07-10 15:29

Error fixed.

Thanks!

- Issue History
Date Modified Username Field Change
2008-07-01 21:55 Xi0N New Issue
2008-07-01 21:55 Xi0N Operating System => Any
2008-07-01 22:23 Xi0N Note Added: 0002847
2008-07-10 15:29 Xi0N Note Added: 0002872
2008-07-11 11:30 GonoszTopi Status new => resolved
2008-07-11 11:30 GonoszTopi Resolution open => fixed
2008-07-11 11:30 GonoszTopi Assigned To => GonoszTopi


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker